Third-Party Data Import API Reference
TPDI Service for Planet data is deprecated and will be sunset on November 11th, 2026. Please use Planet Item Search instead.
Search data
Search data with Process API-like interface.
Authorizations:
query Parameters
| count | integer <int32> >= 1 Number of items to retrieve. Maximum value is provider dependent. |
| viewtoken | string When the total number of items is larger than count, the response contains viewtoken. This viewtoken can be used in the next request to retrieve the next page of items. The next page can be retrieved by repeating the query. However, replace your URL with the next URL in the returned links object. |
Request Body schema: application/json
| provider required | string Value: "PLANET" Specify this value to use data provider Planet. |
| planetApiKey | string Your Planet API key. Get one from Planet https://www.planet.com. It is required unless you purchased your Planet data plan through Sentinel Hub, in which case it is optional and will filter search results based on the permissions of the key. |
required | object (ProcessRequestInputBounds) Defines the request bounds by specifying the bounding box and/or geometry for the request. If both are given, a request is made for a geometry and bbox is ignored. |
required | Array of objects = 1 items |
Responses
Request samples
- Payload
{- "provider": "PLANET",
- "planetApiKey": "string",
- "bounds": {
- "bbox": [
- 13.822174072265625,
- 45.85080395917834,
- 14.55963134765625,
- 46.29191774991382
], - "geometry": {
- "type": "Polygon",
- "coordinates": [
- [
- [
- 14.000701904296873,
- 46.23685258143992
], - [
- 13.822174072265625,
- 46.09037664604301
], - [
- 14.113311767578125,
- 45.85080395917834
], - [
- 14.55963134765625,
- 46.038922598236
], - [
- 14.441528320312498,
- 46.28717293114449
], - [
- 14.17236328125,
- 46.29191774991382
], - [
- 14.000701904296873,
- 46.23685258143992
]
]
]
},
}, - "data": [
- {
- "dataFilter": {
- "timeRange": {
- "from": "2018-10-01T00:00:00.000Z",
- "to": "2018-11-01T00:00:00.000Z"
}, - "maxCloudCoverage": 100,
- "nativeFilter": {
- "type": "RangeFilter",
- "field_name": "snow_ice_percent",
- "config": {
- "gte": 10
}
}
}, - "type": "catalog",
- "itemType": "PSScene",
- "productBundle": "analytic_udm2"
}
]
}Response samples
- 200
- 400
{- "links": {
- "currentToken": "string",
- "nextToken": "string",
- "previousToken": "string",
}, - "features": [ ],
- "<other fields>": null
}Native search
Proxy search. All the fields not listed as required are passed verbatim to the data provider's search API, and the result from the latter is returned verbatim.
Authorizations:
Request Body schema: application/json
| provider required | string Value: "PLANET" Specify this value to use data provider Planet. |
| planetApiKey | string Your Planet API key. Get one from Planet https://www.planet.com. It is required unless you purchased your Planet data plan through Sentinel Hub, in which case it is optional and will filter search results based on the permissions of the key. |
| property name* additional property |
Responses
Request samples
- Payload
{- "provider": "PLANET",
- "item_types": [
- "PSScene"
], - "filter": {
- "type": "AndFilter",
- "config": [
- {
- "type": "GeometryFilter",
- "field_name": "geometry",
- "config": {
- "type": "Polygon",
- "coordinates": [
- [
- [
- 15.786,
- 46.7008
], - [
- 15.786,
- 46.7234
], - [
- 15.8473,
- 46.7234
], - [
- 15.8473,
- 46.7008
], - [
- 15.786,
- 46.7008
]
]
]
}
}, - {
- "type": "DateRangeFilter",
- "field_name": "acquired",
- "config": {
- "gte": "2019-04-27T00:00:00.000Z",
- "lte": "2019-04-30T00:00:00.000Z"
}
}, - {
- "type": "RangeFilter",
- "field_name": "cloud_cover",
- "config": {
- "lte": 0.3
}
}
]
}
}Response samples
- 200
- 400
{- "links": {
- "currentToken": "string",
- "nextToken": "string",
- "previousToken": "string",
}, - "features": [ ],
- "<other fields>": null
}TPDI Service for Planet data is deprecated and will be sunset on November 11th, 2026. Please use Planet Data API instead.
Get thumbnail of data product
Get a scaled-down, non-geolocated, non-clipped image of the data product
Authorizations:
path Parameters
| collectionId required | string Enum: "PLANET_SCOPE" "PLANET_SKYSAT" "MAXAR_WORLDVIEW" Collection ID |
| productId required | string ID of the product to get thumbnail of, typically returned by a previous search |
query Parameters
| planetApiKey | string Deprecated Your Planet API key. Get one from Planet https://www.planet.com. It is required in order to get thumbnails of Planet data products unless you purchased your Planet data plan through Sentinel Hub. |
Responses
TPDI Service for Planet data is deprecated and will be sunset on November 11th, 2026. Please use Planet Orders API instead.
Create an order
Create a non-confirmed data order object, equivalent to a quote. After creation you can review the contents of the order and its quota requirements, and then choose to confirm it or not.
Data can be ordered by specifying a query (all items matching the query will be ordered) or item IDs (the specified items will be ordered).
Authorizations:
Request Body schema: application/json
| name | string Order name. It's also used as a name for a new BYOC collection, if no collection is given in collectionId field. |
| collectionId | string <uuid> BYOC collection ID. If given at order creation, requested data is imported into referenced collection, which must be compatible with the data being ordered - that is, must either be empty or contain the same bands as the data being ordered. If not given at order creation, a new BYOC collection is created when the order is confirmed and its ID is returned in the response from the |
required | object (PlanetSearchQuery) Deprecated Specification of the ordered data |
Responses
Request samples
- Payload
{- "name": "string",
- "collectionId": "0ffe69e2-b7af-4b1e-835c-867376165f50",
- "input": {
- "provider": "PLANET",
- "planetApiKey": "string",
- "bounds": {
- "bbox": [
- 13.822174072265625,
- 45.85080395917834,
- 14.55963134765625,
- 46.29191774991382
], - "geometry": {
- "type": "Polygon",
- "coordinates": [
- [
- [
- 14.000701904296873,
- 46.23685258143992
], - [
- 13.822174072265625,
- 46.09037664604301
], - [
- 14.113311767578125,
- 45.85080395917834
], - [
- 14.55963134765625,
- 46.038922598236
], - [
- 14.441528320312498,
- 46.28717293114449
], - [
- 14.17236328125,
- 46.29191774991382
], - [
- 14.000701904296873,
- 46.23685258143992
]
]
]
},
}, - "data": [
- {
- "dataFilter": {
- "timeRange": {
- "from": "2018-10-01T00:00:00.000Z",
- "to": "2018-11-01T00:00:00.000Z"
}, - "maxCloudCoverage": 100,
- "nativeFilter": {
- "type": "RangeFilter",
- "field_name": "snow_ice_percent",
- "config": {
- "gte": 10
}
}
}, - "type": "catalog",
- "itemType": "PSScene",
- "productBundle": "analytic_udm2",
- "harmonizeTo": "NONE",
- "itemIds": [
- "string"
]
}
]
}
}Response samples
- 200
- 400
- 404
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",
- "collectionId": "0ffe69e2-b7af-4b1e-835c-867376165f50",
- "status": "CREATED",
- "sqkm": 0,
- "input": { }
}Query orders
Authorizations:
query Parameters
| status | string (OrderStatus) Enum: "CREATED" "CANCELLED" "RUNNING" "DONE" "PARTIAL" "FAILED" Filter orders by status. Omit to get all orders. |
| collectionId | string <uuid> Filter orders by collectionId. Omit to get all orders. |
| count | integer <int32> Upper limit to the number of items to retrieve. It cannot be larger than the endpoint-specific limit. If omitted, the endpoint-specific limit is used. For more records, use viewtoken to page through. |
| viewtoken | string When the total number of items is larger than count, the response contains viewtoken. This viewtoken can be used in the next request to retrieve the next page of items. The next page can be retrieved by repeating the query. However, replace your URL with the next URL in the returned links object. |
| search | string Optional search query. Either a single word to search for or multiple words separated by the |
| deleted | boolean Default: false If set to |
Responses
Response samples
- 200
{- "data": [
- {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",
- "collectionId": "0ffe69e2-b7af-4b1e-835c-867376165f50",
- "status": "CREATED",
- "sqkm": 0,
- "input": { }
}
], - "links": {
- "currentToken": "string",
- "nextToken": "string",
- "previousToken": "string",
}
}Response samples
- 200
- 404
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",
- "collectionId": "0ffe69e2-b7af-4b1e-835c-867376165f50",
- "status": "CREATED",
- "sqkm": 0,
- "input": { }
}Delete an order
CREATED orders will be permanently deleted.
CANCELLED , DONE or FAILED ones will be deleted for normal querying but will still be available.
PARTIAL or RUNNING orders cannot be deleted.
Authorizations:
path Parameters
| orderId required | string <uuid> Order ID |
Responses
Response samples
- 404
{- "error": {
- "status": 0,
- "reason": "string",
- "message": "string",
- "code": "COMMON_BAD_PAYLOAD",
- "errors": { }
}
}Confirm an order
Confirm the order and start executing it. Requires sufficient quota for the order. Only orders with status CREATED can be confirmed.
Authorizations:
path Parameters
| orderId required | string <uuid> Order ID |
Responses
Response samples
- 200
- 403
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",
- "collectionId": "0ffe69e2-b7af-4b1e-835c-867376165f50",
- "status": "CREATED",
- "sqkm": 0,
- "input": { }
}TPDI Service for Planet data is deprecated and will be sunset on November 11th, 2026. Please use Planet Orders API instead.
Get order deliveries
Authorizations:
path Parameters
| orderId required | string <uuid> Order ID |
query Parameters
| status | string (DeliveryStatus) Enum: "WAITING" "DELIVERED" "DELIVERY_FAILED" "PREPARING" "INGESTING" "DONE" "IMPORT_FAILED" "NON_INGESTIBLE" Filter deliveries by status. Omit to get all deliveries. |
| count | integer <int32> Upper limit to the number of items to retrieve. It cannot be larger than the endpoint-specific limit. If omitted, the endpoint-specific limit is used. For more records, use viewtoken to page through. |
| viewtoken | string When the total number of items is larger than count, the response contains viewtoken. This viewtoken can be used in the next request to retrieve the next page of items. The next page can be retrieved by repeating the query. However, replace your URL with the next URL in the returned links object. |
Responses
Response samples
- 200
- 404
{- "data": [
- {
- "provider": "PLANET",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "sqkm": 0,
- "status": "WAITING",
- "errorMessage": "string",
- "itemId": "string"
}
], - "links": {
- "currentToken": "string",
- "nextToken": "string",
- "previousToken": "string",
}
}Get an order delivery
Authorizations:
path Parameters
| orderId required | string <uuid> Order ID |
| deliveryId required | string <uuid> Delivery ID |
Responses
Response samples
- 200
- 404
{- "provider": "PLANET",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "sqkm": 0,
- "status": "WAITING",
- "errorMessage": "string",
- "itemId": "string"
}List files of an order delivery
Lists all files delivered by the data provider. The file list and contents is provider-specific.
Authorizations:
path Parameters
| orderId required | string <uuid> Order ID |
| deliveryId required | string <uuid> Delivery ID |
Responses
Response samples
- 200
- 404
[- "VOL_PHR.XML",
- "INDEX.HTM",
- "IMG_PHR1A_P_001/IMG_PHR1A_P_202102240924289_ORT_15c5eeb9-53a1-4cdd-cca6-d265fb1bf0c6-001_R1C1.J2W",
- "..."
]Retrieve a delivery file
Download a single file delivered by the data provider.
Authorizations:
path Parameters
| orderId required | string <uuid> Order ID |
| deliveryId required | string <uuid> Delivery ID |
| file required | string File with full path as returned by the "List delivery files" endpoint. |
header Parameters
| Range | string <RFC 7223> Example: bytes=16384-23473 Optional byte range to retrieve part of a file according to RFC 7233. Typically used with large files to resume interrupted downloads. |
Responses
Response samples
- 404
{- "error": {
- "status": 0,
- "reason": "string",
- "message": "string",
- "code": "COMMON_BAD_PAYLOAD",
- "errors": { }
}
}Get delivery file size
Authorizations:
path Parameters
| orderId required | string <uuid> Order ID |
| deliveryId required | string <uuid> Delivery ID |
| file required | string File with full path as returned by the "List delivery files" endpoint. |
Responses
Response samples
- 404
{- "error": {
- "status": 0,
- "reason": "string",
- "message": "string",
- "code": "COMMON_BAD_PAYLOAD",
- "errors": { }
}
}Request creation of delivery archive
Authorizations:
path Parameters
| orderId required | string <uuid> Order ID |
| deliveryId required | string <uuid> Delivery ID |
query Parameters
| format | string (DeliveryArchiveFormat) Default: "zip" Value: "zip" One of supported archive formats. Currently only |
Responses
Response samples
- 200
- 404
{- "deliveryId": "73dc828d-801d-4d29-b7e4-e046662a5901",
- "format": "zip",
- "requested": "2019-08-24T14:15:22Z",
- "status": "WAITING",
- "size": 0
}Retrieve delivery archive
Authorizations:
path Parameters
| orderId required | string <uuid> Order ID |
| deliveryId required | string <uuid> Delivery ID |
query Parameters
| format | string (DeliveryArchiveFormat) Default: "zip" Value: "zip" One of supported archive formats. Currently only |
header Parameters
| Range | string <RFC 7223> Example: bytes=16384-23473 Optional byte range to retrieve part of the archive according to RFC 7233. Typically used to resume interrupted downloads. |
Responses
Response samples
- 404
{- "error": {
- "status": 0,
- "reason": "string",
- "message": "string",
- "code": "COMMON_BAD_PAYLOAD",
- "errors": { }
}
}Get size of delivery archive
Authorizations:
path Parameters
| orderId required | string <uuid> Order ID |
| deliveryId required | string <uuid> Delivery ID |
query Parameters
| format | string (DeliveryArchiveFormat) Default: "zip" Value: "zip" One of supported archive formats. Currently only |
Responses
Response samples
- 404
{- "error": {
- "status": 0,
- "reason": "string",
- "message": "string",
- "code": "COMMON_BAD_PAYLOAD",
- "errors": { }
}
}Get status of delivery archive creation
Authorizations:
path Parameters
| orderId required | string <uuid> Order ID |
| deliveryId required | string <uuid> Delivery ID |
query Parameters
| format | string (DeliveryArchiveFormat) Default: "zip" Value: "zip" One of supported archive formats. Currently only |
Responses
Response samples
- 200
- 404
{- "deliveryId": "73dc828d-801d-4d29-b7e4-e046662a5901",
- "format": "zip",
- "requested": "2019-08-24T14:15:22Z",
- "status": "WAITING",
- "size": 0
}TPDI Service for Planet data is deprecated and will be sunset on November 11th, 2026. Please use the BYOC API instead to work with tiles.
Get the tiles of an order delivery
The delivery tiles correspond to BYOC tiles that were created during the ingestion of this delivery. Thus their corresponding IDs will match. While for most deliveries just one tile is created, for the largest ones there can be tens of tiles.
Only tiles from last 3 months can be retrieved.
Authorizations:
path Parameters
| orderId required | string <uuid> Order ID |
| deliveryId required | string <uuid> Delivery ID |
Responses
Response samples
- 200
- 404
{- "data": [
- {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "deliveryId": "73dc828d-801d-4d29-b7e4-e046662a5901",
- "status": "WAITING"
}
]
}Get an order delivery tile.
Only tiles from last 3 months can be retrieved.
Authorizations:
path Parameters
| orderId required | string <uuid> Order ID |
| deliveryId required | string <uuid> Delivery ID |
| tileId required | string <uuid> Tile ID |
Responses
Response samples
- 200
- 404
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "deliveryId": "73dc828d-801d-4d29-b7e4-e046662a5901",
- "status": "WAITING"
}TPDI Service for Planet data is deprecated and will be sunset on November 11th, 2026. Please use Planet Subscriptions API instead.
Create a subscription Deprecated
Create a non-confirmed data subscription object. After creation you can review the parameters of the subscription and then choose to confirm it or not.
Authorizations:
Request Body schema: application/json
| name | string Subscription name. It's also used as a name for a new BYOC collection, if no collection is given in collectionId field. |
| collectionId | string <uuid> BYOC collection ID. If given at subscription creation, the data is imported into referenced collection, which must be compatible with the data being subscribed - that is, must either be empty or contain the same bands as the data being subscribed. If not given at subscription creation, a new BYOC collection is created when the subscription is confirmed and its ID is returned in the response from the |
required | object Specification of the subscribed data |
Responses
Request samples
- Payload
{- "name": "string",
- "collectionId": "0ffe69e2-b7af-4b1e-835c-867376165f50",
- "input": {
- "provider": "PLANET",
- "planetApiKey": "string",
- "bounds": {
- "bbox": [
- 13.822174072265625,
- 45.85080395917834,
- 14.55963134765625,
- 46.29191774991382
], - "geometry": {
- "type": "Polygon",
- "coordinates": [
- [
- [
- 14.000701904296873,
- 46.23685258143992
], - [
- 13.822174072265625,
- 46.09037664604301
], - [
- 14.113311767578125,
- 45.85080395917834
], - [
- 14.55963134765625,
- 46.038922598236
], - [
- 14.441528320312498,
- 46.28717293114449
], - [
- 14.17236328125,
- 46.29191774991382
], - [
- 14.000701904296873,
- 46.23685258143992
]
]
]
},
}, - "data": [
- {
- "dataFilter": {
- "timeRange": {
- "from": "2018-10-01T00:00:00.000Z",
- "to": "2018-11-01T00:00:00.000Z"
}, - "maxCloudCoverage": 100,
- "nativeFilter": {
- "type": "RangeFilter",
- "field_name": "snow_ice_percent",
- "config": {
- "gte": 10
}
}
}, - "type": "catalog",
- "itemType": "PSScene",
- "productBundle": "analytic_udm2",
- "harmonizeTo": "NONE"
}
]
}
}Response samples
- 200
- 400
- 404
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",
- "collectionId": "0ffe69e2-b7af-4b1e-835c-867376165f50",
- "status": "CREATED",
- "sqkm": 0,
- "input": { }
}Query subscriptions Deprecated
Authorizations:
query Parameters
| status | string (SubscriptionStatus) Enum: "CREATED" "RUNNING" "CANCELLED" "COMPLETED" "FAILED" Filter subscriptions by status. Omit to get all subscriptions. |
| collectionId | string <uuid> Filter subscriptions by collectionId. Omit to get all subscriptions. |
| count | integer <int32> Upper limit to the number of items to retrieve. It cannot be larger than the endpoint-specific limit. If omitted, the endpoint-specific limit is used. For more records, use viewtoken to page through. |
| viewtoken | string When the total number of items is larger than count, the response contains viewtoken. This viewtoken can be used in the next request to retrieve the next page of items. The next page can be retrieved by repeating the query. However, replace your URL with the next URL in the returned links object. |
| search | string Optional search query. Either a single word to search for or multiple words separated by the |
| deleted | boolean Default: false If set to |
Responses
Response samples
- 200
{- "data": [
- {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",
- "collectionId": "0ffe69e2-b7af-4b1e-835c-867376165f50",
- "status": "CREATED",
- "sqkm": 0,
- "input": { }
}
], - "links": {
- "currentToken": "string",
- "nextToken": "string",
- "previousToken": "string",
}
}Get a subscription Deprecated
Authorizations:
path Parameters
| subscriptionId required | string <uuid> Subscription ID |
Responses
Response samples
- 200
- 404
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",
- "collectionId": "0ffe69e2-b7af-4b1e-835c-867376165f50",
- "status": "CREATED",
- "sqkm": 0,
- "input": { }
}Delete a non-running subscription Deprecated
CREATED subscriptions will be permanently deleted.
CANCELLED , COMPLETED or FAILED ones will be deleted for normal querying but will still be available.
RUNNING subscriptions cannot be deleted.
Authorizations:
path Parameters
| subscriptionId required | string <uuid> Subscription ID |
Responses
Response samples
- 404
{- "error": {
- "status": 0,
- "reason": "string",
- "message": "string",
- "code": "COMMON_BAD_PAYLOAD",
- "errors": { }
}
}Confirm a subscription Deprecated
Confirm the subscription and start executing it. Only subscription with status CREATED can be confirmed.
Authorizations:
path Parameters
| subscriptionId required | string <uuid> Subscription ID |
Responses
Response samples
- 200
- 403
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",
- "collectionId": "0ffe69e2-b7af-4b1e-835c-867376165f50",
- "status": "CREATED",
- "sqkm": 0,
- "input": { }
}Cancel a subscription Deprecated
Cancel a RUNNING subscription so that it will stop executing. Already imported data will be kept. Only subscription with status RUNNING can be cancelled.
Authorizations:
path Parameters
| subscriptionId required | string <uuid> Subscription ID |
Responses
Response samples
- 200
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "name": "string",
- "accountId": "3d07c219-0a88-45be-9cfc-91e9d095a1e9",
- "collectionId": "0ffe69e2-b7af-4b1e-835c-867376165f50",
- "status": "CREATED",
- "sqkm": 0,
- "input": { }
}TPDI Service for Planet data is deprecated and will be sunset on November 11th, 2026. Please use Planet Subscriptions API instead.
Get subscription deliveries Deprecated
Authorizations:
path Parameters
| subscriptionId required | string <uuid> Subscription ID |
query Parameters
| status | string (DeliveryStatus) Enum: "WAITING" "DELIVERED" "DELIVERY_FAILED" "PREPARING" "INGESTING" "DONE" "IMPORT_FAILED" "NON_INGESTIBLE" Filter deliveries by status. Omit to get all deliveries. |
| count | integer <int32> Upper limit to the number of items to retrieve. It cannot be larger than the endpoint-specific limit. If omitted, the endpoint-specific limit is used. For more records, use viewtoken to page through. |
| viewtoken | string When the total number of items is larger than count, the response contains viewtoken. This viewtoken can be used in the next request to retrieve the next page of items. The next page can be retrieved by repeating the query. However, replace your URL with the next URL in the returned links object. |
Responses
Response samples
- 200
- 404
{- "data": [
- {
- "provider": "PLANET",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "status": "WAITING",
- "errorMessage": "string",
- "itemId": "string"
}
], - "links": {
- "currentToken": "string",
- "nextToken": "string",
- "previousToken": "string",
}
}Get a subscription delivery Deprecated
Authorizations:
path Parameters
| subscriptionId required | string <uuid> Subscription ID |
| deliveryId required | string <uuid> Delivery ID |
Responses
Response samples
- 200
- 404
{- "provider": "PLANET",
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "status": "WAITING",
- "errorMessage": "string",
- "itemId": "string"
}List files of a subscription delivery Deprecated
Lists all files delivered by the data provider. The file list and contents is provider-specific.
Authorizations:
path Parameters
| subscriptionId required | string <uuid> Subscription ID |
| deliveryId required | string <uuid> Delivery ID |
Responses
Response samples
- 200
- 404
[- "20211208_095127_54_2416_3B_AnalyticMS_SR_clip.tif",
- "20211208_095127_54_2416_metadata.json",
- "20211208_095127_54_2416_3B_AnalyticMS_metadata_clip.xml",
- "20211208_095127_54_2416_3B_udm2_clip.tif"
]Retrieve a delivery file Deprecated
Download a single file delivered by the data provider.
Authorizations:
path Parameters
| subscriptionId required | string <uuid> Subscription ID |
| deliveryId required | string <uuid> Delivery ID |
| file required | string File with full path as returned by the "List delivery files" endpoint. |
header Parameters
| Range | string <RFC 7223> Example: bytes=16384-23473 Optional byte range to retrieve part of a file according to RFC 7233. Typically used with large files to resume interrupted downloads. |
Responses
Response samples
- 404
{- "error": {
- "status": 0,
- "reason": "string",
- "message": "string",
- "code": "COMMON_BAD_PAYLOAD",
- "errors": { }
}
}Get delivery file size Deprecated
Authorizations:
path Parameters
| subscriptionId required | string <uuid> Subscription ID |
| deliveryId required | string <uuid> Delivery ID |
| file required | string File with full path as returned by the "List delivery files" endpoint. |
Responses
Response samples
- 404
{- "error": {
- "status": 0,
- "reason": "string",
- "message": "string",
- "code": "COMMON_BAD_PAYLOAD",
- "errors": { }
}
}Request creation of delivery archive Deprecated
Authorizations:
path Parameters
| subscriptionId required | string <uuid> Subscription ID |
| deliveryId required | string <uuid> Delivery ID |
query Parameters
| format | string (DeliveryArchiveFormat) Default: "zip" Value: "zip" One of supported archive formats. Currently only |
Responses
Response samples
- 200
- 404
{- "deliveryId": "73dc828d-801d-4d29-b7e4-e046662a5901",
- "format": "zip",
- "requested": "2019-08-24T14:15:22Z",
- "status": "WAITING",
- "size": 0
}Retrieve delivery archive Deprecated
Authorizations:
path Parameters
| subscriptionId required | string <uuid> Subscription ID |
| deliveryId required | string <uuid> Delivery ID |
query Parameters
| format | string (DeliveryArchiveFormat) Default: "zip" Value: "zip" One of supported archive formats. Currently only |
header Parameters
| Range | string <RFC 7223> Example: bytes=16384-23473 Optional byte range to retrieve part of the archive according to RFC 7233. Typically used to resume interrupted downloads. |
Responses
Response samples
- 404
{- "error": {
- "status": 0,
- "reason": "string",
- "message": "string",
- "code": "COMMON_BAD_PAYLOAD",
- "errors": { }
}
}Get size of delivery archive Deprecated
Authorizations:
path Parameters
| subscriptionId required | string <uuid> Subscription ID |
| deliveryId required | string <uuid> Delivery ID |
query Parameters
| format | string (DeliveryArchiveFormat) Default: "zip" Value: "zip" One of supported archive formats. Currently only |
Responses
Response samples
- 404
{- "error": {
- "status": 0,
- "reason": "string",
- "message": "string",
- "code": "COMMON_BAD_PAYLOAD",
- "errors": { }
}
}Get status of delivery archive creation Deprecated
Authorizations:
path Parameters
| subscriptionId required | string <uuid> Subscription ID |
| deliveryId required | string <uuid> Delivery ID |
query Parameters
| format | string (DeliveryArchiveFormat) Default: "zip" Value: "zip" One of supported archive formats. Currently only |
Responses
Response samples
- 200
- 404
{- "deliveryId": "73dc828d-801d-4d29-b7e4-e046662a5901",
- "format": "zip",
- "requested": "2019-08-24T14:15:22Z",
- "status": "WAITING",
- "size": 0
}TPDI Service for Planet data is deprecated and will be sunset on November 11th, 2026. Please use the BYOC API instead to work with tiles.
Get the tiles of a subscription delivery Deprecated
The delivery tiles correspond to BYOC tiles that were created during the ingestion of this delivery. Thus their corresponding IDs will match. While for most deliveries just one tile is created, for the largest ones there can be tens of tiles.
Only tiles from last 3 months can be retrieved.
Authorizations:
path Parameters
| subscriptionId required | string <uuid> Subscription ID |
| deliveryId required | string <uuid> Delivery ID |
Responses
Response samples
- 200
- 404
{- "data": [
- {
- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "deliveryId": "73dc828d-801d-4d29-b7e4-e046662a5901",
- "status": "WAITING"
}
]
}Get a subscription delivery tile. Deprecated
Only tiles from last 3 months can be retrieved.
Authorizations:
path Parameters
| subscriptionId required | string <uuid> Subscription ID |
| deliveryId required | string <uuid> Delivery ID |
| tileId required | string <uuid> Tile ID |
Responses
Response samples
- 200
- 404
{- "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
- "deliveryId": "73dc828d-801d-4d29-b7e4-e046662a5901",
- "status": "WAITING"
}